import { AuthUser } from '../models/auth/auth.user';
export declare class TokenService {
  private static instance;
  static getInstance(): TokenService;
  getToken(): Promise<string>;
  getAuthUser(): Promise<AuthUser>;
  getAuthUserSync(): AuthUser;
  getTokenSync(): string;
  isAuthenticated(): boolean;
  getTokenExpiry(): Promise<number>;
  saveAuthUser(authUser: AuthUser): Promise<void>;
  removeAuthUser(): Promise<void>;
}
